theta.GetAccount

This API returns the details of the account being queried in json format.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Object NameRequiredTypeDetail
addressStringthe address of the account
"params":[
    {
        "address":"0x2E833968E5bB786Ae419c4d13189fB081Cc43bab"
    }
]

Result

Result Fields

KeyTypeDetail
codeStringthe hash of the smart contract bytecode (for smart contract accounts)
coinsStringthe native token balance
reserved_fundsStringfund reserved for micropayment through the off-chain resource-oriented payment pool
rootStringthe root hash of the data Merkle-Patricia trie (for smart contract accounts)
sequenceStringthe current sequence number of the account

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"theta.GetAccount","params":[{"address":"0x2E833968E5bB786Ae419c4d13189fB081Cc43bab"}],"id":1}'

Return

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "sequence": "82",
        "coins": {
            "thetawei": "0",
            "tfuelwei": "0"
        },
        "reserved_funds": [],
        "last_updated_block_height": "735970",
        "root": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "code": "0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470"
    }
}
Path Params
string
required
Defaults to 0f02ec3fa7114d418c20cee5a8096370/theta/rpc
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"theta.BroadcastRawTransactionAsync","params":[{"tx_bytes":"02f8a4c78085e8d4a51000f86ff86d942e833968e5bb786ae419c4d13189fb081cc43babd3888ac7230489e800008901158e46f1e875100016b841393e2eba6241482098cf11ef4dd869209d7ebd716397f3c862ca5b762bbf403006b1fa009786102383c408cabdf7450c1c73d4dd4a20d3b48a39a88ffe0ecb0e01eae9949f1233798e905e173560071255140b4a8abd3ec6d3888ac7230489e800008901158e460913d00000"}],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json